<template>
<div id="mapcontainer">

  <div id="main_map">
  </div>
  <div v-if="cesiumMap" id="cesiumContainer">
  </div>
  <div id="map_overlay">
    <LeftSideBar/>
    <!--<FeatureInfosPanel/>-->
    <EditionToolBar :layer="editedLayer" v-if="editedLayer !== null"/>
    <MapPluginContainer/>
    <div id="popup" class="ol-popup">
      <a href="#" id="popup-closer" class="ol-popup-closer"></a>
      <div id="popup-content"></div>
    </div>
  </div>

</div>
</template>
<script lang="ts" src="./Map.ts"></script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="less">
#mapcontainer {
  flex-grow: 4;
  position:relative;
}
#main_map{
  width:100%;
  height:100%;
}
#cesiumContainer{
  position:absolute;
  top: 0px;
  width:100%;
  height:100%;
}
#map_overlay{
  width:100%;
  height:100%;
  position:absolute;
  top:0px;
  left:0px;
  pointer-events: none;
  display: flex;
}
</style>
